# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::QuantiserLists Class Reference

Class for encapsulating quantiser data.

`#include <common.h>`

Collaboration diagram for dirac::QuantiserLists:

[legend]
List of all members.

## Public Member Functions

- QuantiserLists ()
    Default constructor.
- int QuantFactor4 (const int index) const
    Returns 4 times the quantisation factor.
- int QuantOffset4 (const int index) const
    Returns the quantisation offset for non-zero values.
- int MaxQIndex () const
    Returns the maximum quantiser index supported.

## Private Attributes

- unsigned int m_max_qindex
- OneDArray< int > m_qflist4
- OneDArray< int > m_offset4

## Constructor & Destructor Documentation

dirac::QuantiserLists::QuantiserLists | ( |  | ) |

## Member Function Documentation

int dirac::QuantiserLists::MaxQIndex | ( |  | ) | const`[inline]`

int dirac::QuantiserLists::QuantFactor4 | ( | const int | index | ) | const`[inline]`

int dirac::QuantiserLists::QuantOffset4 | ( | const int | index | ) | const`[inline]`

## Member Data Documentation

unsigned int dirac::QuantiserLists::m_max_qindex`[private]`

OneDArray<int> dirac::QuantiserLists::m_offset4`[private]`

OneDArray<int> dirac::QuantiserLists::m_qflist4`[private]`

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.